SoTexture(3)

NAME
SoTexture - Common base class for texture nodes.

SYNOPSIS

#include <Inventor/nodes/SoTexture.h>

Inherits SoNode.

Inherited by SoTexture2, SoTexture3, and SoTextureCubeMap.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void doAction (SoAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void callback (SoCallbackAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void cleanupClass (void)

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

Common base class for texture nodes. Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.
Since
    Coin 3.0

Member Function Documentation

  SoType SoTexture::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTexture::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

Reimplemented in SoTexture2, SoTexture3, and SoTextureCubeMap.

  const SoFieldData ** SoTexture::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTexture::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

Reimplemented in SoTexture2, SoTexture3, and SoTextureCubeMap.

  void SoTexture::cleanupClass (void) [static]
This static method cleans up static data of the SoTexture class.

  void SoTexture::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

Reimplemented in SoTexture2, SoTexture3, and SoTextureCubeMap.

  void SoTexture::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

Reimplemented in SoTexture2, SoTexture3, and SoTextureCubeMap.

  void SoTexture::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

Reimplemented in SoTexture2, SoTexture3, and SoTextureCubeMap.

Author

Generated automatically by Doxygen for Coin from the source code.